<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processor/Type.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processor.Type</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../Processor.html" >Processor</a>
</div><div class="class-name">class Type

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/Processor.py.html" target="detail">../Synopsis/Processor.py</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Type" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line31" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Type-inheritance" src="Type-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Type-inheritance_map" />
<map name="Type-inheritance_map"></map>
 <div class="doc">Type is the Processor's __metaclass__.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Type.html#__init__" >__init__</a></span>(<span class="variable">cls</span>, <span class="variable">name</span>, <span class="variable">bases</span>, <span class="variable">dict</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Type.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line33" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a '_parameters' dictionary holding all the 'Parameter' objects.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">cls</span>, <span class="variable">name</span>, <span class="variable">bases</span>, <span class="variable">dict</span>)  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis.Processor.Type.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Processor.py.html#line33" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a '_parameters' dictionary holding all the 'Parameter' objects.
      Then replace 'Parameter' objects by their values for convenient use inside
      the code.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:55 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
